=== debian/changelog ===
python-openleadr-python (0.5.34+dfsg.1-2) unstable; urgency=low

  * Add debian/tests/pkg-python/import-name: fix autopkgtest failure.

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Sun, 30 Mar 2025 18:57:12 +0100

python-openleadr-python (0.5.34+dfsg.1-1) unstable; urgency=low

  * Initial release. (Closes: #1082982)

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Sun, 29 Sep 2024 22:24:08 +0800
