=== debian/control ===
Source: python-openleadr-python
Section: python
Priority: optional
Maintainer: Ying-Chun Liu (PaulLiu) <paulliu@debian.org>
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               dh-sequence-sphinxdoc,
               iso-codes,
               pandoc,
               python3-aiohttp,
               python3-all,
               python3-apscheduler,
               python3-jinja2,
               python3-pytest-asyncio,
               python3-setuptools,
               python3-signxml,
               python3-sphinx,
               python3-sphinxcontrib.apidoc,
               python3-termcolor,
               python3-xmltodict
Testsuite: autopkgtest-pkg-python
Standards-Version: 4.7.0
Homepage: https://github.com/OpenLEADR/openleadr-python

Package: python3-openleadr-python
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Suggests: python-openleadr-python-doc
Description: Python 3 module for OpenADR systems (Python 3)
 OpenLEADR is a Python 3 module that provides a convenient interface to
 OpenADR systems. It contains an OpenADR Client that you can use to talk to
 other OpenADR systems, and it contains an OpenADR Server (VTN) with
 convenient integration possibilities.
 .
 It currently implements the OpenADR 2.0b specification.
 .
 This package installs the library for Python 3.

Package: python-openleadr-python-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: Python 3 module for OpenADR systems (common documentation)
 OpenLEADR is a Python 3 module that provides a convenient interface to
 OpenADR systems. It contains an OpenADR Client that you can use to talk to
 other OpenADR systems, and it contains an OpenADR Server (VTN) with
 convenient integration possibilities.
 .
 It currently implements the OpenADR 2.0b specification.
 .
 This is the common documentation package.
