=== debian/rules ===
#!/usr/bin/make -f

# See debhelper(7) (uncomment to enable).
# Output every command that modifies files on the build system.
#export DH_VERBOSE = 1

export PYBUILD_NAME=openleadr-python

%:
	dh $@ --buildsystem=pybuild --with sphinxdoc

execute_before_dh_auto_build-indep:
	./debian/generate_4217_xsd.py
	mv -f $(CURDIR)/oadr_ISO_ISO3AlphaCurrencyCode_20100407.xsd $(CURDIR)/openleadr/schema/oadr_ISO_ISO3AlphaCurrencyCode_20100407.xsd
	./debian/generate_SI_unit.py
	mv -f $(CURDIR)/oadr_siscale_20b.xsd $(CURDIR)/openleadr/schema/oadr_siscale_20b.xsd

# If you need to rebuild the Sphinx documentation:
# Add sphinxdoc to the dh --with line.
#
# And uncomment the following lines.
execute_after_dh_auto_build-indep: export http_proxy=127.0.0.1:9
execute_after_dh_auto_build-indep: export https_proxy=127.0.0.1:9
execute_after_dh_auto_build-indep: openleadr-fingerprint.1
	PYTHONPATH=. python3 -m sphinx -N -bhtml \
	docs/ build/html # HTML generator
	PYTHONPATH=. python3 -m sphinx -N -bman \
	docs/ build/man # Manpage generator

execute_before_dh_auto_test-indep:
	find $(CURDIR)/.pybuild -name 'cpython*_openleadr-python' -exec cp -rf $(CURDIR)/certificates {}/build/ \;

execute_after_dh_auto_test-indep:
	rm -rf $(CURDIR)/.pybuild/cpython*_openleadr-python/build/

execute_after_dh_auto_install-indep:
	mv $(CURDIR)/debian/python3-openleadr-python/usr/bin/fingerprint $(CURDIR)/debian/python3-openleadr-python/usr/bin/openleadr-fingerprint

openleadr-fingerprint.1: debian/openleadr-fingerprint.md
	pandoc --standalone --from=markdown --to=man $< --output=$@
