=== debian/watch ===
# Compulsory line, this is a version 4 file.
version=4

# GitHub hosted projects.
opts="dversionmangle=auto,repacksuffix=+dfsg.1,filenamemangle=s%(?:.*?)?v?(@ANY_VERSION@@ARCHIVE_EXT@)%@PACKAGE@-$1%" \
    https://github.com/OpenLEADR/openleadr-python/tags \
    (?:.*?/)v?@ANY_VERSION@@ARCHIVE_EXT@
